org.eclipse.jetty.nested

## Class NestedConnector

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.AggregateLifeCycle
    - - org.eclipse.jetty.server.AbstractConnector
      - - org.eclipse.jetty.nested.NestedConnector

All Implemented Interfaces:
  HttpBuffers, Connector, Destroyable, Dumpable, LifeCycle

    public class NestedConnector
    extends AbstractConnector

Nested Jetty Connector

This Jetty `Connector` allows a jetty instance to be nested inside another servlet container. Requests received by the outer servlet container should be passed to jetty using the `service(ServletRequest, ServletResponse)` method of this connector.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.AbstractConnector

`_buffers, _lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`NestedConnector()`

### Method Summary

Methods
`protected void` `accept(int acceptorID)`
`void` `close()`
`Object` `getConnection()`
`int` `getLocalPort()`
`void` `open()` Opens the connector
`void` `service(javax.servlet.ServletRequest outerRequest, javax.servlet.ServletResponse outerResponse)` Service a request of the outer servlet container by passing it to the nested instance of Jetty.

### Methods inherited from class org.eclipse.jetty.server.AbstractConnector

`checkForwardedHeaders, configure, connectionClosed, connectionOpened, connectionUpgraded, customize, doStart, doStop, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationMax, getConnectionsDurationMean, getConnectionsDurationStdDev, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsRequestsMax, getConnectionsRequestsMean, getConnectionsRequestsStdDev, getForwardedCipherSuiteHeader, getForwardedForHeader, getForwardedHostHeader, getForwardedProtoHeader, getForwardedServerHeader, getForwardedSslSessionIdHeader, getHost, getHostHeader, getIntegralPort, getIntegralScheme, getLeftMostFieldValue, getLowResourceMaxIdleTime, getLowResourcesMaxIdleTime, getMaxBuffers, getMaxIdleTime, getName, getPort, getRequestBuffers, getRequestBufferSize, getRequestBufferType, getRequestHeaderSize, getRequestHeaderType, getRequests, getResolveNames, getResponseBuffers, getResponseBufferSize, getResponseBufferType, getResponseHeaderSize, getResponseHeaderType, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isConfidential, isForwarded, isIntegral, isLowResources, join, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setForwarded, setForwardedCipherSuiteHeader, setForwardedForHeader, setForwardedHostHeader, setForwardedProtoHeader, setForwardedServerHeader, setForwardedSslSessionIdHeader, setHost, setHostHeader, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setLowResourcesMaxIdleTime, setMaxBuffers, setMaxIdleTime, setName, setPort, setRequestBuffers, setRequestBufferSize, setRequestHeaderSize, setResolveNames, setResponseBuffers, setResponseBufferSize, setResponseHeaderSize, setReuseAddress, setServer, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

### Methods inherited from class org.eclipse.jetty.util.component.AggregateLifeCycle

`addBean, addBean, contains, destroy, dump, dump, dump, dump, dump, dumpObject, dumpStdErr, dumpThis, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, unmanage`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from interface org.eclipse.jetty.util.component.Dumpable

`dump, dump`

### Constructor Detail

#### NestedConnector

    public NestedConnector()

### Method Detail

#### open

    public void open()
              throws IOException

Description copied from interface: `Connector`
Opens the connector

Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### getLocalPort

    public int getLocalPort()

Returns:
  The actual port the connector is listening on or -1 if it has not been opened, or -2 if it has been closed.

#### getConnection

    public Object getConnection()

Returns:
  the underlying socket, channel, buffer etc. for the connector.

#### accept

    protected void accept(int acceptorID)
                   throws IOException,
                          InterruptedException

Specified by:
  `accept` in class `AbstractConnector`
Throws:
  `IOException`
  `InterruptedException`

#### service

    public void service(javax.servlet.ServletRequest outerRequest,
               javax.servlet.ServletResponse outerResponse)
                 throws IOException,
                        javax.servlet.ServletException

Service a request of the outer servlet container by passing it to the nested instance of Jetty.

Parameters:
  `outerRequest` -
  `outerResponse` -
Throws:
  `IOException`
  `javax.servlet.ServletException`